package com.hithomelabs.clients.module5;

import com.hithomelabs.princeton1.common.Apple;
import com.hithomelabs.princeton1.module5.Shell;

import java.util.Arrays;
import java.util.Random;

public class ShellClient {

    public static void main(String[] args) {

        int size = 100;
        Apple[] apples = new Apple[size];
        Shell<Apple> shell = new Shell<Apple>();

        for (int i = 0; i < apples.length; i++) {
            apples[i] = new Apple(new Random().nextInt(1000));
        }
        Apple[] applesCopy = Arrays.copyOf(apples, size);
        shell.sort(apples);
        shell.insertionSort(applesCopy);

        //* * Sample output
        for (int i = 0; i < apples.length; i++)
            System.out.println(apples[i]);
    }
}

